import request from '@/utils/request'

// 查询30S设备规格参数列表
export function listSpec30s(query) {
  return request({
    url: '/system/spec30s/list',
    method: 'get',
    params: query
  })
}

// 查询30S设备规格参数详细
export function getSpec30s(id) {
  return request({
    url: '/system/spec30s/' + id,
    method: 'get'
  })
}

// 新增30S设备规格参数
export function addSpec30s(data) {
  return request({
    url: '/system/spec30s',
    method: 'post',
    data: data
  })
}

// 修改30S设备规格参数
export function updateSpec30s(data) {
  return request({
    url: '/system/spec30s',
    method: 'put',
    data: data
  })
}

// 删除30S设备规格参数
export function delSpec30s(id) {
  return request({
    url: '/system/spec30s/' + id,
    method: 'delete'
  })
}
